#tidyselect
if (!("package:tidyselect" %in% search())){
   install.packages("tidyselect",repos="https://cran.uib.no/")
}

# friendlyts
setwd("~")
download.file("https://git.nilu.no/rfriendlyts/friendlyts/-/archive/0.4.1/friendlyts-0.4.1.tar.gz",destfile="friendlyts-0.4.1.tar.gz")
untar("friendlyts-0.4.1.tar.gz")
setwd(file.path("~","friendlyts-0.4.1"))
source(file.path("~/friendlyts-0.4.1/lib/buildpkgs.R"))
install.packages(file.path("~","friendlyts-0.4.1.tar.gz"), repos=NULL, type='source')
unlink(file.path("~/friendlyts-0.4.1"),recursive=TRUE)
file.remove(file.path("~/friendlyts-0.4.1.tar.gz"))

setwd("~")
download.file("https://git.nilu.no/rfriendlyts/plotfts/-/archive/0.0.2/plotfts-0.0.2.tar.gz",destfile="plotfts-0.0.2.tar.gz")
untar("plotfts-0.0.2.tar.gz")
setwd(file.path("~","plotfts-0.0.2"))
source(file.path("~/plotfts-0.0.2/lib/friendlyts.R"))
setwd(file.path("~","plotfts-0.0.2"))
source(file.path("~/plotfts-0.0.2/lib/buildpkgs.R"))
install.packages(file.path("~","plotfts-0.0.2.tar.gz"), repos=NULL, type='source')
unlink(file.path("~/plotfts-0.0.2"),recursive=TRUE)
file.remove(file.path("~/plotfts-0.0.2.tar.gz"))

# metrics
setwd("~")
download.file("https://git.nilu.no/rdiagnosis/metrics/-/archive/0.0.4/metrics-0.0.4.tar.gz",destfile="metrics-0.0.4.tar.gz")
untar("metrics-0.0.4.tar.gz")
source(file.path("~/metrics-0.0.4/lib/buildpkgs.R"))
install.packages(file.path("~","metrics-0.0.4.tar.gz"), repos=NULL, type='source')
unlink(file.path("~/metrics-0.0.4"),recursive=TRUE)
file.remove(file.path("~/metrics-0.0.4.tar.gz"))

# data: data.luftkval.oslo10
setwd("~")
download.file("https://git.nilu.no/RextData/data.luftkval.oslo10/-/archive/0.0.2/data.luftkval.oslo10-0.0.2.tar.gz",destfile="data.luftkval.oslo10-0.0.2.tar.gz")
untar("data.luftkval.oslo10-0.0.2.tar.gz")
setwd(file.path("~","data.luftkval.oslo10-0.0.2"))
source(file.path("~/data.luftkval.oslo10-0.0.2/lib/buildpkgs.R"))
install.packages(file.path("~","data.luftkval.oslo10-0.0.2.tar.gz"), repos=NULL, type='source')
unlink(file.path("~/data.luftkval.oslo10-0.0.2"),recursive=TRUE)
file.remove(file.path("~/data.luftkval.oslo10-0.0.2.tar.gz"))
